org.apache.maven.scm.provider.perforce.command.checkin

## Class PerforceCheckInConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.checkin.PerforceCheckInConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class PerforceCheckInConsumer
      extends Object
      implements org.codehaus.plexus.util.cli.StreamConsumer

  Version:
    $Id: PerforceChangeLogConsumer.java 331276 2005-11-07 15:04:54Z evenisse $
  Author:
    Mike Perham

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATE_COMPLETE`
    `static int` | `STATE_CREATED`
    `static int` | `STATE_ERROR`
    `static int` | `STATE_LOCKING`
    `static int` | `STATE_OP`
    `static int` | `STATE_SUBMITTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerforceCheckInConsumer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `String` | `getOutput()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_CREATED

          public static final int STATE_CREATED

      See Also:
        Constant Field Values

    - #### STATE_SUBMITTING

          public static final int STATE_SUBMITTING

      See Also:
        Constant Field Values

    - #### STATE_LOCKING

          public static final int STATE_LOCKING

      See Also:
        Constant Field Values

    - #### STATE_OP

          public static final int STATE_OP

      See Also:
        Constant Field Values

    - #### STATE_COMPLETE

          public static final int STATE_COMPLETE

      See Also:
        Constant Field Values

    - #### STATE_ERROR

          public static final int STATE_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PerforceCheckInConsumer

          public PerforceCheckInConsumer()

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(String line)

      Specified by:
        `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

    - #### isSuccess

          public boolean isSuccess()

    - #### getOutput

          public String getOutput()

Copyright © 2003–2015. All rights reserved.